Bug 156699 - Patch for Makefile for VirtualBox-OSE
Patch for Makefile for VirtualBox-OSE
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bernhard Froehlich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 13:50 UTC by the_mix_room
Modified: 2011-05-22 15:12 UTC (History)
0 users

See Also:


Attachments
file.diff (1.52 KB, patch)
2011-04-28 13:50 UTC, the_mix_room
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description the_mix_room 2011-04-28 13:50:09 UTC
Change 'CONFLICTS=' to 'CONFLICTS_INSTALL=' in the Makefiles for virtualbox-ose and virtualbox-ose-additions ports. 

Previously making the port failed. Now it should fail after building but before installation.

Fix: Patch attached with submission follows:
How-To-Repeat: Have virtualbox-ose install and then make virtualbox-ose-additions
Comment 1 Bernhard Froehlich freebsd_committer 2011-04-28 14:16:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->decke

I'll take it.
Comment 2 Bernhard Froehlich freebsd_committer 2011-04-29 15:24:55 UTC
Patch has been committed slightly modified to our development
repository and will be part of the next update.

http://svn.bluelife.at/index.cgi/blueports/revision/?rev=1301

-- 
Bernhard Froehlich
http://www.bluelife.at/
Comment 3 dfilter freebsd_committer 2011-05-22 10:15:23 UTC
decke       2011-05-22 09:15:09 UTC

  FreeBSD ports repository

  Modified files:
    emulators/virtualbox-ose-legacy Makefile 
    emulators/virtualbox-ose-kmod-legacy Makefile 
  Added files:
    emulators/virtualbox-ose-legacy/files vboxheadless.in 
                                          vboxwebsrv.in 
  Log:
  - Introduce -legacy ports
  - Add vboxheadless startscript [1]
  - Add vboxwebsrv startscript [2]
  - Change CONFLICTS to CONFLICTS_INSTALL [3]
  - Remove stale mirror
  - Bump PORTREVISION
  
  PR:             ports/156699 (based on) [3]
  Submitted by:   Stefan Tollkuehn <stefan.tollkuehn@editura.de>, [1][2]
                  Raul Gigea <raul.gigea@editura.de>, [1]
                  Tobias Oberstein <tobias.oberstein@tavendo.de>, [1]
                  Emil <the_mix_room@hotmail.com> [3]
  Thanks to:      dougb@, [1][2]
                  Cr4zi3/EFNet, [2]
                  crsd [2]
  
  Revision  Changes    Path
  1.29      +5 -5      ports/emulators/virtualbox-ose-kmod-legacy/Makefile
  1.38      +14 -5     ports/emulators/virtualbox-ose-legacy/Makefile
  1.1       +125 -0    ports/emulators/virtualbox-ose-legacy/files/vboxheadless.in (new)
  1.1       +49 -0     ports/emulators/virtualbox-ose-legacy/files/vboxwebsrv.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2011-05-22 14:52:13 UTC
decke       2011-05-22 13:51:59 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
    emulators/virtualbox-ose Makefile distinfo pkg-message 
                             pkg-plist 
    emulators/virtualbox-ose/files 
                                   patch-src-VBox-Devices-Makefile.kmk 
                                   patch-src-VBox-Installer-freebsd-virtualbox.desktop 
    emulators/virtualbox-ose-kmod Makefile distinfo 
  Added files:
    emulators/virtualbox-ose/files 
                                   patch-src-VBox-HostDrivers-Support-SUPR3HardenedVerify.cpp 
                                   patch-src-VBox-Main-src-server-HostImpl.cpp 
                                   patch-src-VBox-VMM-VMMR3-CPUM.cpp 
                                   vboxheadless.in vboxwebsrv.in 
    emulators/virtualbox-ose-kmod/files 
                                        patch-src-VBox-HostDrivers-Support-freebsd-Makefile 
                                        patch-src-VBox-HostDrivers-Support-freebsd-files-vboxdrv 
  Removed files:
    emulators/virtualbox-ose/files 
                                   patch-src-VBox-Devices-Storage-DrvHostDVD.cpp 
                                   patch-src-VBox-Frontends-VBoxManage-VBoxInternalManage.cpp 
                                   patch-src-VBox-Frontends-VirtualBox-src-settings-vm-VBoxVMSettingsHD.h 
                                   patch-src-VBox-Main-freebsd-NetIf-freebsd.cpp 
    emulators/virtualbox-ose-kmod/files 
                                        patch-src-VBox-Runtime-r0drv-freebsd-thread-r0drv-freebsd.c 
  Log:
  - Update to 4.0.8
  - Add vboxheadless startscript [1]
  - Add vboxwebsrv startscript [2]
  - Change CONFLICTS to CONFLICTS_INSTALL [3]
  - Relax hardening for PC-BSD 9 [4]
  - Add VIMAGE support [5]
  - Install VBoxExtPackHelperApp [6]
  - Remove stale mirror
  - Extend pkg-message for USB configuration
  - Fix link_elf_obj: symbol RTStrCopy undefined [7]
  
  PR:             ports/156699 (based on) [3]
  Submitted by:   Stefan Tollkuehn <stefan.tollkuehn@editura.de>, [1][2]
                  Raul Gigea <raul.gigea@editura.de>, [1]
                  Tobias Oberstein <tobias.oberstein@tavendo.de>, [1]
                  Emil <the_mix_room@hotmail.com>, [3]
                  Kris Moore <kris@pcbsd.org>, [4]
                  Mikolaj Golub <to.my.trociny@gmail.com>, [5]
                  Mattia Rossi <mrossi@swin.edu.au>, [6]
                  Florian Smeets <flo@FreeBSD.org> [7]
  Thanks to:      dougb@, [1][2]
                  Cr4zi3/EFNet, [2]
                  crsd, [2]
                  beat@,
                  hps@,
                  Alexander Eichner,
                  all testers!
  Approved by:    bapt (vbox hat)
  
  Revision  Changes    Path
  1.1066    +18 -1     ports/UPDATING
  1.28      +14 -7     ports/emulators/virtualbox-ose-kmod/Makefile
  1.17      +2 -2      ports/emulators/virtualbox-ose-kmod/distinfo
  1.1       +11 -0     ports/emulators/virtualbox-ose-kmod/files/patch-src-VBox-HostDrivers-Support-freebsd-Makefile (new)
  1.1       +11 -0     ports/emulators/virtualbox-ose-kmod/files/patch-src-VBox-HostDrivers-Support-freebsd-files-vboxdrv (new)
  1.2       +0 -16     ports/emulators/virtualbox-ose-kmod/files/patch-src-VBox-Runtime-r0drv-freebsd-thread-r0drv-freebsd.c (dead)
  1.37      +20 -9     ports/emulators/virtualbox-ose/Makefile
  1.17      +4 -4      ports/emulators/virtualbox-ose/distinfo
  1.6       +10 -12    ports/emulators/virtualbox-ose/files/patch-src-VBox-Devices-Makefile.kmk
  1.2       +0 -14     ports/emulators/virtualbox-ose/files/patch-src-VBox-Devices-Storage-DrvHostDVD.cpp (dead)
  1.5       +0 -48     ports/emulators/virtualbox-ose/files/patch-src-VBox-Frontends-VBoxManage-VBoxInternalManage.cpp (dead)
  1.2       +0 -11     ports/emulators/virtualbox-ose/files/patch-src-VBox-Frontends-VirtualBox-src-settings-vm-VBoxVMSettingsHD.h (dead)
  1.1       +14 -0     ports/emulators/virtualbox-ose/files/patch-src-VBox-HostDrivers-Support-SUPR3HardenedVerify.cpp (new)
  1.3       +2 -2      ports/emulators/virtualbox-ose/files/patch-src-VBox-Installer-freebsd-virtualbox.desktop
  1.2       +0 -30     ports/emulators/virtualbox-ose/files/patch-src-VBox-Main-freebsd-NetIf-freebsd.cpp (dead)
  1.1       +20 -0     ports/emulators/virtualbox-ose/files/patch-src-VBox-Main-src-server-HostImpl.cpp (new)
  1.1       +12 -0     ports/emulators/virtualbox-ose/files/patch-src-VBox-VMM-VMMR3-CPUM.cpp (new)
  1.1       +125 -0    ports/emulators/virtualbox-ose/files/vboxheadless.in (new)
  1.1       +49 -0     ports/emulators/virtualbox-ose/files/vboxwebsrv.in (new)
  1.6       +33 -3     ports/emulators/virtualbox-ose/pkg-message
  1.18      +5 -0      ports/emulators/virtualbox-ose/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2011-05-22 15:09:07 UTC
decke       2011-05-22 14:08:54 UTC

  FreeBSD ports repository

  Modified files:
    emulators/virtualbox-ose-additions Makefile distinfo 
    emulators/virtualbox-ose-additions/files 
                                             patch-src-VBox-Additions-common-VBoxGuestLib-Makefile.kmk 
  Added files:
    emulators/virtualbox-ose-additions/files 
                                             patch-src-VBox-Additions-common-VBoxGuest-VBoxGuest-freebsd.c 
                                             patch-src-VBox-Additions-x11-x11include-1.3-xorg-xf86_ansic.h 
                                             patch-src-VBox-Additions-x11-x11include-1.4-xorg-xf86_ansic.h 
                                             patch-src-VBox-Additions-x11-x11include-7.0-xorg-xf86_ansic.h 
                                             patch-src-VBox-Additions-x11-x11include-7.1-xorg-xf86_ansic.h 
  Removed files:
    emulators/virtualbox-ose-additions/files 
                                             patch-src-VBox-Additions-common-VBoxService-VBoxService.cpp 
                                             patch-src-VBox-Runtime-r0drv-freebsd-thread-r0drv-freebsd.c 
  Log:
  - Update to 4.0.8
  - Remove stale mirror
  - Add pkg-message
  - Change CONFLICTS to CONFLICTS_INSTALL [1]
  
  PR:             ports/156699 (based on) [1]
  Submitted by:   Emil <the_mix_room@hotmail.com> [1]
  
  Revision  Changes    Path
  1.13      +8 -6      ports/emulators/virtualbox-ose-additions/Makefile
  1.8       +2 -2      ports/emulators/virtualbox-ose-additions/distinfo
  1.1       +11 -0     ports/emulators/virtualbox-ose-additions/files/patch-src-VBox-Additions-common-VBoxGuest-VBoxGuest-freebsd.c (new)
  1.2       +6 -6      ports/emulators/virtualbox-ose-additions/files/patch-src-VBox-Additions-common-VBoxGuestLib-Makefile.kmk
  1.2       +0 -12     ports/emulators/virtualbox-ose-additions/files/patch-src-VBox-Additions-common-VBoxService-VBoxService.cpp (dead)
  1.1       +10 -0     ports/emulators/virtualbox-ose-additions/files/patch-src-VBox-Additions-x11-x11include-1.3-xorg-xf86_ansic.h (new)
  1.1       +10 -0     ports/emulators/virtualbox-ose-additions/files/patch-src-VBox-Additions-x11-x11include-1.4-xorg-xf86_ansic.h (new)
  1.1       +10 -0     ports/emulators/virtualbox-ose-additions/files/patch-src-VBox-Additions-x11-x11include-7.0-xorg-xf86_ansic.h (new)
  1.1       +10 -0     ports/emulators/virtualbox-ose-additions/files/patch-src-VBox-Additions-x11-x11include-7.1-xorg-xf86_ansic.h (new)
  1.2       +0 -16     ports/emulators/virtualbox-ose-additions/files/patch-src-VBox-Runtime-r0drv-freebsd-thread-r0drv-freebsd.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Bernhard Froehlich freebsd_committer 2011-05-22 15:12:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!